Instalación de Google Earth en Ubuntu/Kubuntu 14.04 LTS y demás distribuciones derivadas.

Nota: Hay una tutorial disponible para Ubuntu 16.04 LTS ...

Wallpapers Ubuntu.
Google earth es un software propiedad de Google y, por consiguiente, no está en los repositorios de Ubuntu, Kubunto y demás distribuciones derivadas. Su instalación, no obstante, en algunas versiones es muy sencilla y en otras no tanto. Por ejemplo en la 12.04 simplemente descargamos el paquete .deb para nuestra arquitectura, en mi caso 64 bits, botón derecho instalar y a correr. En esta ocasión, versión 14.04 LTS, el tema no funciona así de simple; el instalador nos advertirá “No se satisfacen todas las dependencias requeridas” o algo similar. No obstante, existen otras alternativas, la que expongo a continuación para Ubuntu, que yo la he aplicado en Kubuntu, la he encontrado en NoobsLAB, y me funciona correctamente, pero como me ocurre en otras distribuciones (openSUSE y Debian) las fotografías de Panoramio no se pueden ver; eventualidad sobre la que aún no he encontrado solución. Si no recuerdo mal, yo diría que esto es así desde que se liberó la versión 7 de Google Earth.

1. Actualizar el sistema

Como siempre que vayamos a instalar paquetes primero tenemos que actualizar el sistema.

$ sudo apt-get update

$ sudo apt-get upgrade

2. Instalar las tipografías de Microsfot

Si ya instalaste el paquete “ubuntu-restricted-extras” o, en su caso “kubuntu-restricted-extras”, ya tienes las tipografía de Microsoft que son las que utiliza Google Earth. Si no es así, simplemente en terminal:

$ sudo apt-get install ubuntu-restricted-extras

Durante la instalación, concretamente de las tipografías de Microsoft, se abrirá una ventana pidiendo el acuerdo de licencia, tenemos que teclear la tecla Tab (tabulador) que se selecciona y colorea de rojo “Aceptar”; pulsamos la tecla “Enter”. En la siguiente ventana por defecto está seleccionado “No”, con la tecla Tab conmutamos entre esta y “Si”; seleccionamos “Si” y “Enter”, y la instalación continuará.

3. Instalación de Google Earth en los sistemas de 64 bits

Primero instalamos unos cuantos paquetes de la arquitectura de 32 bits. Si has instalado ya Skype algunos de estos los tendrás ya instalados.

$ sudo apt-get install libc6-i386 libglib2.0-0:i386 libsm6:i386 libglu1-mesa:i386 libgl1-mesa-glx:i386 libxext6:i386 libxrender1:i386 libx11-6:i386 libfontconfig1:i386 lsb-core

Descargamos el paquete de Google Earth en nuestro equipo:

$ wget -O google-earth64.deb http://dl.google.com/dl/earth/client/current/google-earth-stable_current_i386.deb

Instalamos el paquete:

$ sudo dpkg -i google-earth64.deb

$ rm google-earth64.deb

4. Instalación de Google Earth en los sistemas de 32 bits

Este caso yo no lo he hecho personalmente, como decía mis equipos son de 64 bits, pero este es el procedimiento que también se describe en el enlace anterior, e imagino que funciona igualmente.

$ wget -O google-earth32.deb http://dl.google.com/dl/earth/client/current/google-earth-stable_current_i386.deb

$ sudo dpkg -i google-earth32.deb

$ sudo apt-get -f install

$ rm google-earth32.deb

Dándole una vuelta a Islandia por la Ring Road.

Para terminar ...

Como decía en la introducción del tema, Google Earth me funciona correctamente, salvo que no se pueden ver las fotografías de Panoramio, si más adelante doy con la “tecla”, no duden que lo expondré, y si alguien que pasa por aquí tiene alguna idea al respecto, le estaríamos muy agradecidos de que lo comentase.

Saludos flamencos,

También te puede interesar:




Comentarios

  1. Hola:

    Gracias por el artículo. Comentar que en Linux Mint 13 (Ubuntu 12.04) me pasa lo mismo. Si utilizo el paquete disponible desde Google (v7) no funciona Panoramio. Pero tengo disponible en los repositorios de Mint una versión anterior (Google Earth 6.0.3) en la que Panoramio sí funciona pero no funcionaba la búsqueda. La respuesta era "Solicitud HTTP no válida" y la solución para mí (encontrada en internet) ha sido cambiar el nombre de un archivo del sistema con el siguiente comando:

    sudo mv /opt/google/earth/free/libcurl.so.4 /opt/google/earth/free/old_libcurl.so.4

    Ahora en Mint 13 Google Earth 6.0.3 funciona perfectamente (búsqueda y Panoramio incluidas).

    Según he leído, para que la búsqueda funcione en Google Earth 7 el comando es otro aunque no lo puedo confirmar (también hay que buscar y renombrar el archivo libcurl.so.4 que por lo visto en esta versión está en otra ruta):

    sudo mv /usr/lib/googleearth/libcurl.so.4 /usr/lib/googleearth/old_libcurl.so.4

    El problema de Panoramio en la versión 7 no se cómo se soluciona.

    Sin embargo, probando Xubuntu 14.04 he instalado Ubuntu-tweak (descargando el paquete, instalándolo a mano y corrigiendo después los errores de dependencias que genera con el comando sudo apt-get install -f --fix-missing) y a través de este programa he instalado Google Earth en su versión.... ¡6.0.3! con lo que la solución que he puesto más arriba sirve perfectamente. Esto es, tengo Google Earth 6.0.3 totalmente operativo en Xubuntu 14.04 (supongo que en sus derivadas será lo mismo).

    Saludos

    ResponderEliminar
    Respuestas
    1. Muy amable Juan Carlos por tu intervención. No lo recuerdo bien, pero creo que con la versión 6 de Gooble Earth no tuve ningún problema (esto era en la época de Ubunto 10.04), al menos con Panoramio. Puede ser una opción lo que tu apuntas, localizar e instalar la versión 6 y solucionar el problema de la “busqueda” como indicas.

      Gracias por el apunte y saludos flamencos,

      Eliminar
  2. Fantástico y efectivo tutorial. Funciona a la perfección en 64 bits
    Gracias por todo.
    Un saludo

    ResponderEliminar
  3. Gracias por el apoyo Juan carlos ya tengo google earth instalado y tabajando al 100 en 64 bits

    ResponderEliminar
  4. La versión 7 de google earth no funciona con panoramio, pero en la versión 6.0.3 funciona perfectamente en Kubuntu 14.04.

    Aquí les dejo el enlace del instalador para quien guste instalarla:
    https://googledrive.com/host/0BwJUERPXXiAPdFdfdkFIeWJTVVU/recursos/Google_earth_install.sh.tar.gz

    Aprovecho además para recomendar a la comunidad una simple utilidad del tipo "Aftter install" que estoy desarrollando (Kubuntu):
    https://googledrive.com/host/0BwJUERPXXiAPdFdfdkFIeWJTVVU

    Aquí un par temas disponibles:
    https://googledrive.com/host/0BwJUERPXXiAPdFdfdkFIeWJTVVU/themes

    ResponderEliminar
    Respuestas
    1. Gracias Julio César por la información. Instalaré la versión 6.03. Gracias también por compartir tu proyecto le echaremos un vistazo, seguro que es interesante.
      Saludos flamencos,

      Eliminar
  5. Aquí la solución,en ubuntu y derivados para sistemas de 64 bits,hablamos de google earth 7 y poder visionar panoramio..recomiendo desinstalar cualquier version que tengáis de google earth,y borrar la carpeta /opt/google/earth y realizar la instalación explicada en el readme que teneis que descargar..las instrucciones están en ingles.
    https://productforums.google.com/forum/#!topic/maps/_h4t6SpY_II[1-25-false]

    ResponderEliminar
    Respuestas
    1. Muchas gracias tron por la información intentaré esta solución. Ahora estoy en la versión 6, pero lo suyo es la 7.
      Saludos flamencos,

      Eliminar
  6. Recien instalado en 64 bits y funciona muy bien. gracias

    ResponderEliminar
    Respuestas
    1. Me alegro y gracias a ti por comentar el resultado.

      Saludos flamencos,

      Eliminar
  7. Hola estoy lidiando con este problema del "solicitud de HTTP no válida" tengo linux-mint 17 y no veo el archivo que envias a renombrar con el comando mv gracias por tu ayuda !

    ResponderEliminar
    Respuestas
    1. No sabría decirte, esa información la dejó Juan Carlos; yo no tengo Linux Mint.

      Saludos flamencos,

      Eliminar
  8. Hola muy buenas, siguiendo tus indicaciones he instalado el programita y como tú tengo el mismo problema con panoramio, he intentado seguir el hilo en inglés de las librerias pero no me entero muy bien o soy muy torpe, creo que lo segundo. Finalmente conseguiste solucionar lo de panoramio¿?,
    Muchas gracias de antemano , y por la información

    ResponderEliminar
    Respuestas
    1. Amigo Edgar, yo también soy muy torpe. Finalmente instalé la versión 6. Desinstalé la versión 7, Después para evitar problemas de configuración con las distintas versiones tenemos que eliminar la carpeta oculta .googleearth, que está localizada en nuestro directorio de usuario

      Seguí las indicaciones de Julio César, comentario de 7 de junio de 2014. En definitiva es descargar el instalador que está en el enlace:

      https://googledrive.com/host/0BwJUERPXXiAPdFdfdkFIeWJTVVU/recursos/Google_earth_install.sh.tar.gz

      Descomprimir el archivo y picar en Google_earth_install.sh

      Saludos flamencos,

      Eliminar
  9. Gracias por el artículo. No me funciona Panoramio con Google Earth 7 en Unbuntu 14.04 de 64 bits. Probaré algunas de las soluciones que se dan en los comentarios.

    ResponderEliminar
  10. Excelente las indicaciones para instalar google earth. Muchas gracias. Enrique

    ResponderEliminar
  11. root@hector-Kubuntu:/home/hector# apt-get install libc6-i386 libglib2.0-0:i386 libsm6:i386 libglu1-mesa:i386 libgl1-mesa-glx:i386 libxext6:i386 libxrender1:i386 libx11-6:i386 libfontconfig1:i386 lsb-core
    Leyendo lista de paquetes... Hecho
    Creando árbol de dependencias
    Leyendo la información de estado... Hecho
    El paquete lsb-core no está disponible, pero algún otro paquete hace referencia
    a él. Esto puede significar que el paquete falta, está obsoleto o sólo se
    encuentra disponible desde alguna otra fuente

    E: El paquete «lsb-core» no tiene un candidato para la instalación
    root@hector-Kubuntu:/home/hector#

    QUE AHORA AHORA?
    Ya intenté buscar e instalar por separado lsb-core (
    http://packages.debian.org/wheezy/lsb-core) pero todos los que probé allí me dieron error.

    Que más puedo hacer?

    ResponderEliminar
  12. Ignorando lo mencionado en el mensaje anterior, de la lsb-core y continuando con los pasos, llegué a éste punto después d querer instalar google-earth.
    Esto es lo que me salió:
    dpkg: error al procesar el paquete google-earth-stable:i386 (--install):
    problemas de dependencias - se deja sin configurar
    Procesando disparadores para man-db (2.7.5-1) ...
    Procesando disparadores para mime-support (3.59ubuntu1) ...
    Se encontraron errores al procesar:
    google-earth-stable:i386
    root@hector-Kubuntu:/home/hector#

    ResponderEliminar
    Respuestas
    1. El problema es que lsb-core no está disponible en los repositorios en esta versión, al menos por el momento. No sé si más adelante lo pondrán a disposición. Veras hasta tu comentario no había intentado instalar Google Earth, así que no he buscado aún una solución; en cuanto tenga tiempo y la encuentre te comento.

      Saludos flamencos,

      Eliminar
  13. Hice lo que usted dijo y no me sirvió, el programa abre y se vuelve a cerrar, ahora lo quiero eliminar y no puedo ni por la terminal ni por ninguna parte. ¿Qué se supone que debo hacer? digame por favor....

    ResponderEliminar
    Respuestas
    1. Es raro. Busca el paquete de Google Earth con Synaptic, y botón derecho “eliminar”.

      Saludos flamencos,

      Eliminar

Publicar un comentario